Name:           cube-escape
Version:        0.8
Release:        %mkrel 2
Summary:        3D maze on a cube
License:        GPLv3
Group:          Games/Puzzles
URL:            http://freecode.com/projects/cube-escape
Source0:        http://cube-escape.googlecode.com/files/cube-escape-%{version}-src.tar.gz
Source1:        cube-escape.png
BuildRequires:  libSDL-devel
BuildRequires:  libSDL_ttf-devel
BuildRequires:  libSDL_image-devel

%description
Cube Escape is a game in which you are inside a cube made up of numerous
shells, with a maze etched on the surface of each shell. Escape the cube
by traveling through the mazes, including over cube edges, until you find
an upward exit. When you reach the red exit, you win.

%prep
%setup -q -n cube-escape-%{version}

%build
sed -i -e 's|DATA_DIR  "data/"|DATA_DIR  "%{_datadir}/%{name}/"|' \
  src/main.h

make

%install
rm -rf %{buildroot}
# Install
install -d -m 0755 %{buildroot}%{_gamesbindir}/
install -d -m 0755 %{buildroot}%{_datadir}/%{name}/
install -d -m 0755 %{buildroot}%{_iconsdir}/

install -m 0755 %{name} %{buildroot}%{_gamesbindir}/
install -m 0644 data/* %{buildroot}%{_datadir}/%{name}/
install -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;LogicGame;
EOF

%files
%doc README COPYING
%attr(0755, root, games) %{_gamesbindir}/cube-escape
%{_datadir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 348390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 blue_prawn <blue_prawn> 0.8-1.mga3
+ Revision: 288920
- imported package cube-escape

